This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 174510 - (perl-Crypt-DH) Review Request: perl-Crypt-DH
Review Request: perl-Crypt-DH
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
http://search.cpan.org/dist/Crypt-DH/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-29 11:44 EST by Paul Howarth
Modified: 2009-03-12 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-09 05:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-11-29 11:44:41 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-DH/perl-Crypt-DH.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-DH/perl-Crypt-DH-0.06-1.src.rpm
Description:

Crypt::DH is a Perl implementation of the Diffie-Hellman key exchange system.
Diffie-Hellman is an algorithm by which two parties can agree on a shared
secret key, known only to them. The secret is negotiated over an insecure
network without the two parties ever passing the actual shared secret, or their
private keys, between them.

(note to reviewers: %check takes a *long* time)
Comment 1 Ralf Corsepius 2005-12-08 15:07:26 EST
> (note to reviewers: %check takes a *long* time)
A true understatement ;)


May-be you should consider to add a --without checks rpmbuild option (defaulting
to --with checks) to ease rebuilding of this package.

Also, I presume you also tested this with Math::Pari installed (I haven't),
because if I understand this package's working principles correctly, it will
pick up and use Math::Pari conditionally, should it be installed.

I.e. should Pari be installed, this could cause Heisenbugs, which could be hard
to handle. Or are you planning to make Math::Pari a mandatory requirement, once
Math::Pari is in FE?


Packaging-wise: Package is clean - APPROVED 



Comment 2 Paul Howarth 2005-12-09 03:45:21 EST
(In reply to comment #1)
> > (note to reviewers: %check takes a *long* time)
> A true understatement ;)
> 
> 
> May-be you should consider to add a --without checks rpmbuild option (defaulting
> to --with checks) to ease rebuilding of this package.

Added in cvs.

> Also, I presume you also tested this with Math::Pari installed (I haven't),
> because if I understand this package's working principles correctly, it will
> pick up and use Math::Pari conditionally, should it be installed.

I hadn't actually built Math::Pari at the time I submitted this package, but
I've tested it since. Rather surprisingly, neither Math::Pari nor Math::GMP seem
to speed up the test suite by any noticeable amount.

> I.e. should Pari be installed, this could cause Heisenbugs, which could be hard
> to handle. Or are you planning to make Math::Pari a mandatory requirement, once
> Math::Pari is in FE?

I'll probably do that, yes.

> Packaging-wise: Package is clean - APPROVED 

Imported and building. Let's see if the buildsystem times out the test suite...
Comment 3 Paul Howarth 2005-12-09 05:23:51 EST
Build on target fedora-development-extras succeeded
Comment 4 Paul Howarth 2009-03-11 06:47:19 EDT
Package Change Request
======================
Package Name: perl-Crypt-DH
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-03-12 23:02:59 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.